﻿.marketmap-container {
    height:450px;
    width:100%;
}

.marketmap {
    font-size: 10px;
    width: 100%;
    height: 100%;
    margin: 10px 0;
}

.marketmap-container .treemap {
    margin: 0;
}

.marketmap .svg-container {
    display: inline-block;
    position: relative;
    width: 100%;
    height: 100%;
    padding-bottom: 100%; /* aspect ratio */
    vertical-align: top;
    overflow: hidden;
}
.marketmap .svg-content-responsive {
    display: inline-block;
    position: absolute;
    top: 10px;
    left: 0;
}

.marketmap text {
    pointer-events: none;
}

.marketmap .grandparent text {
    font-size: 1em;
    text-transform: uppercase;
    fill: #fff;
}
.marketmap .grandparent rect {
    stroke-width: 0px;
}
.marketmap rect {
    stroke: #ddd;
}
    .marketmap rect.parent {
        stroke-width: 1px;
        fill-opacity: .5;
        cursor: pointer;
    }

.marketmap .children rect.parent {
    fill-opacity: 0;
    cursor: zoom-in;
}

.marketmap .children:hover rect.parent {
    fill-opacity: 0.1;
/*    opacity: 0;
*/}
.marketmap .children:hover rect.child {
    opacity: 1;
    stroke-width: 1px;
}
.marketmap .grandparent rect {
    fill: #666;
    cursor: zoom-out;
}

.marketmap rect.parent {
    pointer-events: all;
}

.marketmap rect.child {
    box-sizing: border-box;
    overflow: hidden;
}

.marketmap .grandparent:hover rect {
    fill: #180c51;
}

.marketmap .tooltip {
    position: absolute;
    background: rgba(255,255,255,1);
    text-align: left;
    border: 1px;
    border-radius: 5px;
    font: 12px sans-serif;
    width: auto;
    padding: 4px;
    color: black;
    opacity: 0;
    pointer-events: none;
}
    .marketmap .tooltip h3 {
        margin: 2px;
        font-size: 16px;
    }

    .marketmap .tooltip table {
        table-layout: fixed;
    }

    .marketmap .tooltip tr td {
        padding: 0;
        margin: 0;
    }

    .marketmap rect.parent:hover {
        fill: #bbb;
        fill-opacity: .2;
    }

    .marketmap .children:hover rect.parent {
        fill-opacity: .2;
    }